Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | List of all members
NamePatternConverter Class Reference

Base class for other pattern converters which can return only parts of their name. More...

Inherits LoggingEventPatternConverter.

Inherited by ClassNamePatternConverter, and LoggerPatternConverter.

## Protected Member Functions
| NamePatternConverter (const LogString &name, const LogString &style, const std::vector< LogString > &options)
| Constructor. More...
void | abbreviate (int nameStart, LogString &buf) const
| Abbreviate name in string buffer. More...
Protected Member Functions inherited from LoggingEventPatternConverter
| LoggingEventPatternConverter (const LogString &name, const LogString &style)
| Constructs an instance of LoggingEventPatternConverter. More...
Protected Member Functions inherited from PatternConverter
| PatternConverter (const LogString &name, const LogString &style)
| Create a new pattern converter. More...
virtual | ~PatternConverter ()

## Additional Inherited Members
Public Member Functions inherited from LoggingEventPatternConverter
virtual void | format (const log4cxx::spi::LoggingEventPtr &event, LogString &toAppendTo, log4cxx::helpers::Pool &p) const =0
| Formats an event into a string buffer. More...
void | format (const log4cxx::helpers::ObjectPtr &obj, LogString &toAppendTo, log4cxx::helpers::Pool &p) const
virtual bool | handlesThrowable () const
| Normally pattern converters are not meant to handle Exceptions although few pattern converters might. More...
Public Member Functions inherited from PatternConverter
virtual LogString | getStyleClass (const log4cxx::helpers::ObjectPtr &e) const
| This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Static Protected Member Functions inherited from PatternConverter
static void | append (LogString &toAppendTo, const std::string &src)
| Appends content in the locale code page to a LogString. More...
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Base class for other pattern converters which can return only parts of their name.

## Constructor & Destructor Documentation

NamePatternConverter | ( | const LogString & | name,
|  | const LogString & | style,
|  | const std::vector< LogString > & | options
| ) |  |
| protected

Constructor.

Parameters

  name | name of converter.
  style | style name for associated output.
  options | options, may be null, first element will be interpreted as an abbreviation pattern.

## Member Function Documentation

void abbreviate | ( | int | nameStart,
|  | LogString & | buf
| ) |  | const
| protected

Abbreviate name in string buffer.

Parameters

  nameStart | starting position of name to abbreviate.
  buf | string buffer containing name.

The documentation for this class was generated from the following file:

- namepatternconverter.h